## texmaker 4.5

=== debian/changelog ===
texmaker (4.5-1) unstable; urgency=medium

  [ Andreas Tille ]
  * Remove Ruben Molina from Uploaders since his mail address bounces

  [ Julián Moreno Patiño ]
  * New upstream release.
  * d/patches: Refresh patches offset.
    + Remove fix-qtlocalpeer-compilation patch, merge with upstream.
    + Add 30-fix-spelling-errors.patch patch to fix spelling errors.
  * Bump Standards-Version to 3.9.8 (no changes).
  * Acknowledge NMU. Thanks Andreas Bombe.
  * d/copyright: Extend debian copyright holder years.
  * d/rules: Add support for missing hardening flags.
  * d/menu: Remove, desktop file is default one.
  * d/control: Use HTTPS transport protocol for Vcs-Browser.

 -- Julián Moreno Patiño <julian@debian.org>  Tue, 27 Sep 2016 12:02:24 -0500

=== debian/control ===
Source: texmaker
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>,
           Julián Moreno Patiño <julian@debian.org>
Section: tex
Priority: optional
Build-Depends: debhelper (>= 9),
               qtscript5-dev,
               qtbase5-dev,
               libglib2.0-dev,
               libpoppler-qt5-dev,
               libpoppler-private-dev (>= 0.24.5-2),
               libqt5webkit5-dev,
               qtdeclarative5-dev,
               libqt5opengl5-dev,
               libsynctex-dev
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/viewvc/debian-science/packages/texmaker/trunk/
Vcs-Svn: svn://anonscm.debian.org/debian-science/packages/texmaker/trunk/
Homepage: http://www.xm1math.net/texmaker/

Package: texmaker
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         texmaker-data (= ${source:Version})
Recommends: aspell,
            ghostscript,
            netpbm,
            psutils,
            latex-beamer,
            texlive-latex-extra,
            texlive-lang-english,
            hunspell-en-us | hunspell-dictionary | myspell-dictionary,
            asymptote
Suggests: texlive-lang-all
Description: cross-platform LaTeX editor
 Texmaker is a clean, highly configurable LaTeX editor with good hot key 
 support and extensive LaTeX documentation. Texmaker integrates many tools 
 needed to develop documents with LaTeX, in just one application. It has 
 some nice features such as syntax highlighting, insertion of 370 mathematical 
 symbols with only one click, and "structure view" of the document for easier 
 navigation. 

Package: texmaker-data
Architecture: all
Depends: ${misc:Depends}
Replaces: texmaker (<< ${source:Version})
Description: Texmaker LaTeX editor -- arch-independent files
 Texmaker is a clean, highly configurable LaTeX editor with good hot key
 support and extensive LaTeX documentation.
 .
 This package contains documentation and arch-independent files for Texmaker.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1
export QT_SELECT := qt5
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

pkg=texmaker
data=$(pkg)-data

%:
	dh $@ --parallel

override_dh_auto_clean:
	[ ! -f Makefile ] || $(MAKE) distclean
	$(RM) .obj/* .moc/* .ui/* 
	dh_auto_clean

override_dh_auto_test:
	# do not try testing

override_dh_installchangelogs:
	dh_installchangelogs utilities/CHANGELOG.txt

override_dh_installdocs:
	dh_installdocs
	# Setting symlinks from doc dir to /usr/share/texmaker
	for docfile in `ls $(CURDIR)/debian/$(data)/usr/share/doc/$(pkg)/html/*` ; do \
	    ln -s ../doc/$(pkg)/html/`basename $${docfile}` $(CURDIR)/debian/$(data)/usr/share/$(pkg) ; \
	done

override_dh_install:
	dh_install
	# Rename all hicolor icons to texmaker.png
	[ ! -d $(CURDIR)/debian/$(data)/usr/share/icons/hicolor/ ] || for i in 16 22 32 48 64 128 ; do \
	    mv $(CURDIR)/debian/$(data)/usr/share/icons/hicolor/$${i}x$${i}/apps/$(pkg)$${i}x$${i}.png \
	        $(CURDIR)/debian/$(data)/usr/share/icons/hicolor/$${i}x$${i}/apps/$(pkg).png ; \
	done

## texmaker 5.0.2

=== debian/changelog ===
texmaker (5.0.2-1build2) bionic; urgency=medium

  * No-change rebuild against qtbase-abi-5-9-5.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 14 Apr 2018 22:01:33 -0500

texmaker (5.0.2-1build1) bionic; urgency=medium

  * No-change rebuild against qtbase-abi-5-9-4.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Tue, 27 Feb 2018 09:51:13 -0600

texmaker (5.0.2-1) unstable; urgency=medium

  * New upstream version
  * Move packaging from SVN to Git
  * debhelper 10
  * Standards-Version: 4.1.3 (no changes needed)
  * Build-Depends: qtbase5-private-dev

 -- Andreas Tille <tille@debian.org>  Thu, 11 Jan 2018 13:18:54 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
            Julián Moreno Patiño <julian@debian.org>
 Section: tex
 Priority: optional
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
                qtscript5-dev,
                qtbase5-dev,
                libglib2.0-dev,
@@ -13,10 +13,11 @@
                libqt5webkit5-dev,
                qtdeclarative5-dev,
                libqt5opengl5-dev,
-               libsynctex-dev
-Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/viewvc/debian-science/packages/texmaker/trunk/
-Vcs-Svn: svn://anonscm.debian.org/debian-science/packages/texmaker/trunk/
+               libsynctex-dev,
+               qtbase5-private-dev
+Standards-Version: 4.1.3
+Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/texmaker.git
+Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/texmaker.git
 Homepage: http://www.xm1math.net/texmaker/
 
 Package: texmaker

=== debian/watch ===
# watch control file for uscan to obtain texmaker
version=3
http://www.xm1math.net/texmaker/download.html texmaker-(.*)\.tar\.bz2

## texmaker 5.0.3

=== debian/changelog ===
texmaker (5.0.3-1build5) focal; urgency=medium

  * No-change rebuild against qtbase-abi-5-12-8.

 -- Rik Mills <rikmills@kde.org>  Fri, 10 Apr 2020 20:09:27 +0100

texmaker (5.0.3-1build4) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:59:34 +0100

texmaker (5.0.3-1build3) focal; urgency=medium

  * No-change rebuild against qtbase-abi-5-12-5.

 -- Rik Mills <rikmills@kde.org>  Sun, 27 Oct 2019 06:31:42 +0000

texmaker (5.0.3-1build2) eoan; urgency=medium

  * No-change rebuild against qtbase-abi-5-12-4.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Mon, 08 Jul 2019 12:59:14 +0300

texmaker (5.0.3-1build1) disco; urgency=medium

  * No change rebuild against qtbase-abi-5-12-2.

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 27 Mar 2019 14:26:49 +0000

texmaker (5.0.3-1) unstable; urgency=medium

  [ Julián Moreno Patiño ]
  * New upstream release.
  * debian/patches/70-add-crossbuild-support.patch, Add
    crossbuild support. (Closes: #916237)
    + Thanks to Helmut Grohne for it.
  * debian/control, Bump Standards-Version to 4.3.0 (no changes).
    + Bump debhelper version to 11.
    + Remove trailing whitespaces.
  * debian/compat, Switch compat level 10 to 11.
  * debian/changelog, Remove trailing whitespaces.
  * debian/copyright, Extend copyright holders years.

  [ Philip Rinn ]
  * Team upload.
  * Mark texmaker-data Multi-Arch: foreign

 -- Julián Moreno Patiño <julian@debian.org>  Mon, 11 Feb 2019 23:28:42 -0500

texmaker (5.0.2-2) unstable; urgency=medium

  [ Philip Rinn ]
  * Team upload.
  * d/patches: fix crash with new libsynctex (fixes: #896656, #897071, #896567)
    + Add 60-fix-for-new-libsynctex1-API.patch to fix crash on startup
  * Update Vcs URLs in d/control to point to salsa.d.o

  [ Andreas Tille ]
  * Clean up copyright
  * Standards-Version: 4.1.4

 -- Philip Rinn <rinni@inventati.org>  Thu, 03 May 2018 18:18:35 +0200

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 data=$(pkg)-data
 
 %:
-	dh $@ --parallel
+	dh $@
 
 override_dh_auto_clean:
 	[ ! -f Makefile ] || $(MAKE) distclean

## texmaker 5.1.2+dfsg

=== debian/changelog ===
texmaker (5.1.2+dfsg-2build1) kinetic; urgency=medium

  * No-change rebuild against Qt 5.15.4.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Tue, 17 May 2022 13:03:01 +0300

texmaker (5.1.2+dfsg-2) unstable; urgency=medium

  * Drop usr/share/pixmaps from texmaker package
  * texmaker-data: Conflicts: texmaker (= 5.1.2+dfsg-1)
    Closes: #1007149

 -- Andreas Tille <tille@debian.org>  Thu, 17 Mar 2022 18:07:54 +0100

texmaker (5.1.2+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * Remove trailing whitespace in debian/rules (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Use secure URI in Homepage field.
  * Fix day-of-week for changelog entry 1.3-1.
  * watch file standard 4 (routine-update)
  * Drop synctex_parser from upstream source
  * Install locale files from debian/tmp
  * Provide /usr/share/texmaker dir as installed by upstream
  * Remove extra license and changelog file
  * Docs will be installed via symlinks

 -- Andreas Tille <tille@debian.org>  Fri, 11 Mar 2022 13:48:13 +0100

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1
export QT_SELECT := qt5
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

pkg=texmaker
data=$(pkg)-data

%:
	dh $@

override_dh_auto_clean:
	[ ! -f Makefile ] || $(MAKE) distclean
	$(RM) .obj/* .moc/* .ui/*
	dh_auto_clean

override_dh_auto_test:
	# do not try testing

override_dh_installchangelogs:
	dh_installchangelogs utilities/CHANGELOG.txt

override_dh_installdocs:
	dh_installdocs
	# Setting symlinks from doc dir to /usr/share/texmaker
	for docfile in `ls $(CURDIR)/debian/$(data)/usr/share/$(pkg)/*.html $(CURDIR)/debian/$(data)/usr/share/$(pkg)/*.png` ; do \
	    dh_link -p $(data) `echo $${docfile} | sed 's#^.*/debian/[^/]\+/##'` /usr/share/doc/$(pkg)/html/`basename $${docfile}` ; \
	done

override_dh_install:
	dh_install
	find debian/*/usr/share \( -name COPYING -o -name CHANGELOG.txt \) -delete

=== debian/watch ===
version=4

opts="repacksuffix=+dfsg,dversionmangle=auto" \
  http://www.xm1math.net/texmaker/download.html texmaker-(.*)\.tar\.bz2

## texmaker 5.1.3+dfsg

=== debian/changelog ===
texmaker (5.1.3+dfsg-3build1) questing; urgency=medium

  * No-change rebuild against Qt 5.15.17.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Sun, 13 Jul 2025 16:24:01 +0300

texmaker (5.1.3+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Drop unnecessary Build-Depends: libqt5webkit5-dev.

 -- Bastian Germann <bage@debian.org>  Wed, 22 Jan 2025 20:46:13 +0100

texmaker (5.1.3+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Build with system zlib (closes: #1075565).

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 13 Sep 2024 23:26:41 +0300

texmaker (5.1.3+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches, Remove some patches, merge with upstream.
    + 10_spelling_dict.patch
    + 20-add-keywords-desktop-file.patch
    + 30-fix-spelling-errors.patch
  * debian/patches, Refresh patches offset.
    + 50-Add-link-to-system-installed-synctex-lib.patch
    + 70-add-crossbuild-support.patch
  * debian/control, Bump Standards-Version to 4.6.1 (no changes).
  * debian/copyright, Update debian copyright holder years.
  * debian/watch, Update URI to https.
  * debian/rules, set DEBIAN_SPELLDIR. (Closes: #898261)
    + Convert national encoding to UTF-8.
  * debian/upstream/metadata, Add upstream metadata.

 -- Julián Moreno Patiño <julian@debian.org>  Tue, 01 Nov 2022 16:11:04 -0500

=== debian/control ===
Source: texmaker
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>,
           Julián Moreno Patiño <julian@debian.org>
Section: tex
Priority: optional
Build-Depends: debhelper-compat (= 13),
               qtscript5-dev,
               qtbase5-dev,
               libglib2.0-dev,
               libpoppler-qt5-dev,
               libpoppler-private-dev,
               qtdeclarative5-dev,
               libqt5opengl5-dev,
               libsynctex-dev,
               qtbase5-private-dev,
               zlib1g-dev
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/science-team/texmaker
Vcs-Git: https://salsa.debian.org/science-team/texmaker.git
Homepage: https://www.xm1math.net/texmaker/
Rules-Requires-Root: no

Package: texmaker
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         texmaker-data (= ${source:Version})
Recommends: aspell,
            ghostscript,
            netpbm,
            psutils,
            texlive-latex-extra,
            texlive-lang-english,
            hunspell-en-us | hunspell-dictionary | myspell-dictionary,
            asymptote
Suggests: texlive-lang-all
Description: cross-platform LaTeX editor
 Texmaker is a clean, highly configurable LaTeX editor with good hot key
 support and extensive LaTeX documentation. Texmaker integrates many tools
 needed to develop documents with LaTeX, in just one application. It has
 some nice features such as syntax highlighting, insertion of 370 mathematical
 symbols with only one click, and "structure view" of the document for easier
 navigation.

Package: texmaker-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Replaces: texmaker (<< ${source:Version})
Conflicts: texmaker (= 5.1.2+dfsg-1)
Description: Texmaker LaTeX editor -- arch-independent files
 Texmaker is a clean, highly configurable LaTeX editor with good hot key
 support and extensive LaTeX documentation.
 .
 This package contains documentation and arch-independent files for Texmaker.

=== debian/watch ===
version=4

opts="repacksuffix=+dfsg,dversionmangle=auto" \
  https://www.xm1math.net/texmaker/download.html texmaker-(.*)\.tar\.bz2

## texmaker 6.0.1%2Bdfsg

=== debian/changelog ===
texmaker (6.0.1+dfsg-2) unstable; urgency=medium

  * debian/control, Restrict qt6-webengine-dev to supported arches.

 -- Julián Moreno Patiño <julian@debian.org>  Sun, 02 Nov 2025 22:08:11 -0500

texmaker (6.0.1+dfsg-1) unstable; urgency=medium

  * New upstream release. (Closes: #1048798)
  * debian/patches, Remove some patches, refactored.
    + Add fix-build-against-qt-6-10.patch to avoid FTBFS.
    + Add use-system-libs.patch to avoid emmbeded copies.
    + Add update-metadata.patch to make lintian happy.
  * debian/watch, Update to 5 format.
  * debian/upstream/metadata, Update metadata.
  * debian/texmaker.docs, Update docs path.
  * debian/texmaker-data.install, Update dictionaries path.
  * debian/rules, Update to use cmake.
  * debian/control, Bump Standards-Version to 4.7.2 (no changes).
    + Update dependencies to QT6.
    + Add dymanic libraries.
    + Add breaks with previous version.
    + Add cmake.
    + Remove Rules-Requires-Root, is not needed anymore.
  * debian/copyright, Update upstream and debian copyright.

 -- Julián Moreno Patiño <julian@debian.org>  Sun, 26 Oct 2025 21:15:42 -0500

## texmaker 6.0.1+dfsg

=== CMakeLists.txt ===
# SPDX-License-Identifier: GPL-2.0+
#cmake -DCMAKE_PREFIX_PATH=path to Qt6 .
#cmake --build .
#cmake --install .
#cmake --build . --target texmaker_lupdate
#cmake --build . --target texmaker_lrelease
# MACOS
# qt-cmake -DCMAKE_OSX_ARCHITECTURES="x86_64;arm64" .
# make
# make install
# WINDOWS
# qt-cmake .
# cmake --build . --config Release
# cmake --install .

cmake_minimum_required(VERSION 3.16)
project(texmaker VERSION 6.0.1 LANGUAGES CXX C)
set(CMAKE_RUNTIME_OUTPUT_DIRECTORY_RELEASE ${CMAKE_BINARY_DIR})

################ OPTIONS ####################
set(COMPILEUSB "no")
set(AUTHORIZELINUXQSTYLES "yes")
set(INTERNALBROWSER "yes")
set(DEBIANSPELLDIR "no")
################# INSTALL_DIR #####################
if (UNIX AND NOT APPLE)
    if (${COMPILEUSB} STREQUAL "yes")
        set(INSTALL_DIR ${CMAKE_SOURCE_DIR}/deploy/linux_portable)
    else()
        set(INSTALL_DIR "/usr")
    endif()
elseif (WIN32)
    if (${COMPILEUSB} STREQUAL "yes")
        set(INSTALL_DIR ${CMAKE_SOURCE_DIR}/deploy/win_portable)
    else()
        set(INSTALL_DIR ${CMAKE_SOURCE_DIR}/deploy/win_desktop)
    endif()
elseif (APPLE)
    set(INSTALL_DIR ${CMAKE_SOURCE_DIR}/deploy/macos)
endif()
################## RESOURCES ########################
if (UNIX AND NOT APPLE)
set(UTILITIES_FILES
  ${CMAKE_SOURCE_DIR}/datas/doc/doc10.png
  ${CMAKE_SOURCE_DIR}/datas/doc/doc11.png
  ${CMAKE_SOURCE_DIR}/datas/doc/doc12.png
  ${CMAKE_SOURCE_DIR}/datas/doc/doc13.png
  ${CMAKE_SOURCE_DIR}/datas/doc/doc14.png
  ${CMAKE_SOURCE_DIR}/datas/doc/doc15.png
  ${CMAKE_SOURCE_DIR}/datas/doc/doc16.png
  ${CMAKE_SOURCE_DIR}/datas/doc/doc17.png
  ${CMAKE_SOURCE_DIR}/datas/doc/doc1.png
  ${CMAKE_SOURCE_DIR}/datas/doc/doc20.png
  ${CMAKE_SOURCE_DIR}/datas/doc/doc21.png
  ${CMAKE_SOURCE_DIR}/datas/doc/doc22.png
  ${CMAKE_SOURCE_DIR}/datas/doc/doc2.png
  ${CMAKE_SOURCE_DIR}/datas/doc/doc3.png
  ${CMAKE_SOURCE_DIR}/datas/doc/doc4.png
  ${CMAKE_SOURCE_DIR}/datas/doc/doc5.png
  ${CMAKE_SOURCE_DIR}/datas/doc/doc6bis.png
  ${CMAKE_SOURCE_DIR}/datas/doc/doc6.png
  ${CMAKE_SOURCE_DIR}/datas/doc/doc7.png
  ${CMAKE_SOURCE_DIR}/datas/doc/doc8.png
  ${CMAKE_SOURCE_DIR}/datas/doc/doc9.png
  ${CMAKE_SOURCE_DIR}/datas/doc/latexhelp.html
  ${CMAKE_SOURCE_DIR}/datas/doc/usermanual_en.html
  ${CMAKE_SOURCE_DIR}/datas/doc/usermanual_fr.html
  ${CMAKE_SOURCE_DIR}/AUTHORS
  ${CMAKE_SOURCE_DIR}/COPYING
  ${CMAKE_SOURCE_DIR}/datas/CHANGELOG.txt
  ${CMAKE_SOURCE_DIR}/datas/distrib/linux/texmaker16x16.png
  ${CMAKE_SOURCE_DIR}/datas/distrib/linux/texmaker22x22.png
  ${CMAKE_SOURCE_DIR}/datas/distrib/linux/texmaker32x32.png
  ${CMAKE_SOURCE_DIR}/datas/distrib/linux/texmaker48x48.png
  ${CMAKE_SOURCE_DIR}/datas/distrib/linux/texmaker64x64.png
  ${CMAKE_SOURCE_DIR}/datas/distrib/linux/texmaker128x128.png
  ${CMAKE_SOURCE_DIR}/datas/distrib/linux/texmaker.svg
  ${CMAKE_SOURCE_DIR}/datas/scripts/titlecase_selection.tms
  ${CMAKE_SOURCE_DIR}/datas/scripts/hardwordwrap_selection_80col.tms
  ${CMAKE_SOURCE_DIR}/translations/qt/qt_ar.qm
  ${CMAKE_SOURCE_DIR}/translations/qt/qt_ca.qm
  ${CMAKE_SOURCE_DIR}/translations/qt/qt_cs.qm
  ${CMAKE_SOURCE_DIR}/translations/qt/qt_da.qm
  ${CMAKE_SOURCE_DIR}/translations/qt/qt_de.qm
  ${CMAKE_SOURCE_DIR}/translations/qt/qt_en.qm
  ${CMAKE_SOURCE_DIR}/translations/qt/qt_es.qm
  ${CMAKE_SOURCE_DIR}/translations/qt/qt_fa.qm
  ${CMAKE_SOURCE_DIR}/translations/qt/qt_fi.qm
  ${CMAKE_SOURCE_DIR}/translations/qt/qt_fr.qm
  ${CMAKE_SOURCE_DIR}/translations/qt/qt_gl.qm
  ${CMAKE_SOURCE_DIR}/translations/qt/qt_he.qm
  ${CMAKE_SOURCE_DIR}/translations/qt/qt_hu.qm
  ${CMAKE_SOURCE_DIR}/translations/qt/qt_it.qm
  ${CMAKE_SOURCE_DIR}/translations/qt/qt_ja.qm
  ${CMAKE_SOURCE_DIR}/translations/qt/qt_ko.qm
  ${CMAKE_SOURCE_DIR}/translations/qt/qt_lt.qm
  ${CMAKE_SOURCE_DIR}/translations/qt/qt_pl.qm
  ${CMAKE_SOURCE_DIR}/translations/qt/qt_pt.qm
  ${CMAKE_SOURCE_DIR}/translations/qt/qt_ru.qm
  ${CMAKE_SOURCE_DIR}/translations/qt/qt_sk.qm
  ${CMAKE_SOURCE_DIR}/translations/qt/qt_sl.qm
  ${CMAKE_SOURCE_DIR}/translations/qt/qt_sv.qm
  ${CMAKE_SOURCE_DIR}/translations/qt/qt_uk.qm
  ${CMAKE_SOURCE_DIR}/translations/qt/qt_zh_CN.qm
  ${CMAKE_SOURCE_DIR}/translations/qt/qt_zh_TW.qm
  ${CMAKE_SOURCE_DIR}/translations/texmaker/texmaker_de.qm
  ${CMAKE_SOURCE_DIR}/translations/texmaker/texmaker_es.qm
  ${CMAKE_SOURCE_DIR}/translations/texmaker/texmaker_fr.qm
  ${CMAKE_SOURCE_DIR}/translations/texmaker/texmaker_gl.qm
  ${CMAKE_SOURCE_DIR}/translations/texmaker/texmaker_it.qm
  ${CMAKE_SOURCE_DIR}/translations/texmaker/texmaker_pt.qm
  ${CMAKE_SOURCE_DIR}/translations/texmaker/texmaker_pt_BR.qm
  ${CMAKE_SOURCE_DIR}/translations/texmaker/texmaker_ru.qm
  ${CMAKE_SOURCE_DIR}/translations/texmaker/texmaker_zh_CN.qm
  ${CMAKE_SOURCE_DIR}/translations/texmaker/texmaker_zh_TW.qm
  ${CMAKE_SOURCE_DIR}/translations/texmaker/texmaker_cs.qm
  ${CMAKE_SOURCE_DIR}/translations/texmaker/texmaker_nl.qm
  ${CMAKE_SOURCE_DIR}/translations/texmaker/texmaker_fa.qm
  ${CMAKE_SOURCE_DIR}/translations/texmaker/texmaker_pl.qm
  ${CMAKE_SOURCE_DIR}/translations/texmaker/texmaker_hu.qm
  ${CMAKE_SOURCE_DIR}/translations/texmaker/texmaker_sr.qm
  ${CMAKE_SOURCE_DIR}/translations/texmaker/texmaker_el.qm
  ${CMAKE_SOURCE_DIR}/translations/texmaker/texmaker_se.qm
  ${CMAKE_SOURCE_DIR}/translations/texmaker/texmaker_ar.qm
  ${CMAKE_SOURCE_DIR}/translations/texmaker/texmaker_lv.qm
  ${CMAKE_SOURCE_DIR}/translations/texmaker/texmaker_uk.qm
  ${CMAKE_SOURCE_DIR}/translations/texmaker/texmaker_vi_VN.qm
  ${CMAKE_SOURCE_DIR}/datas/dictionaries/nl_NL.aff
  ${CMAKE_SOURCE_DIR}/datas/dictionaries/nl_NL.dic
  ${CMAKE_SOURCE_DIR}/datas/dictionaries/de_DE.aff
  ${CMAKE_SOURCE_DIR}/datas/dictionaries/de_DE.dic
  ${CMAKE_SOURCE_DIR}/datas/dictionaries/en_GB.aff
  ${CMAKE_SOURCE_DIR}/datas/dictionaries/en_GB.dic
  ${CMAKE_SOURCE_DIR}/datas/dictionaries/en_US.aff
  ${CMAKE_SOURCE_DIR}/datas/dictionaries/en_US.dic
  ${CMAKE_SOURCE_DIR}/datas/dictionaries/es_ES.aff
  ${CMAKE_SOURCE_DIR}/datas/dictionaries/es_ES.dic
  ${CMAKE_SOURCE_DIR}/datas/dictionaries/fr_FR.aff
  ${CMAKE_SOURCE_DIR}/datas/dictionaries/fr_FR.dic
  ${CMAKE_SOURCE_DIR}/datas/dictionaries/it_IT.aff
  ${CMAKE_SOURCE_DIR}/datas/dictionaries/it_IT.dic
  ${CMAKE_SOURCE_DIR}/datas/dictionaries/it_IT_README.txt
  ${CMAKE_SOURCE_DIR}/datas/dictionaries/hu_HU.aff
  ${CMAKE_SOURCE_DIR}/datas/dictionaries/hu_HU.dic
  ${CMAKE_SOURCE_DIR}/datas/dictionaries/README_hu_HU.txt
  ${CMAKE_SOURCE_DIR}/datas/dictionaries/cs_CZ.aff
  ${CMAKE_SOURCE_DIR}/datas/dictionaries/cs_CZ.dic
  ${CMAKE_SOURCE_DIR}/datas/dictionaries/pl_PL.aff
  ${CMAKE_SOURCE_DIR}/datas/dictionaries/pl_PL.dic
  ${CMAKE_SOURCE_DIR}/datas/dictionaries/pt_PT.aff
  ${CMAKE_SOURCE_DIR}/datas/dictionaries/pt_PT.dic
  ${CMAKE_SOURCE_DIR}/datas/dictionaries/ca_CA.aff
  ${CMAKE_SOURCE_DIR}/datas/dictionaries/ca_CA.dic
  ${CMAKE_SOURCE_DIR}/datas/dictionaries/README_pt_PT.txt
  ${CMAKE_SOURCE_DIR}/datas/dictionaries/README_pl.txt
  ${CMAKE_SOURCE_DIR}/datas/dictionaries/README_cs_CZ.txt
  ${CMAKE_SOURCE_DIR}/datas/dictionaries/README_de_DE_frami.txt
  ${CMAKE_SOURCE_DIR}/datas/dictionaries/README_DIC_fr_FR.txt
  ${CMAKE_SOURCE_DIR}/datas/dictionaries/README_es_ES.txt
  ${CMAKE_SOURCE_DIR}/datas/dictionaries/README_en_US.txt
)
set(DESKTOP_FILES
  ${CMAKE_SOURCE_DIR}/datas/distrib/linux/texmaker.desktop
)
set(ICON_FILES
  ${CMAKE_SOURCE_DIR}/datas/distrib/linux/texmaker.png
)
set(METAINFO_FILES
  ${CMAKE_SOURCE_DIR}/datas/distrib/linux/texmaker.metainfo.xml
)
elseif (WIN32)
set(RESOURCE_FILES
  ${CMAKE_SOURCE_DIR}/datas/distrib/win/texmaker.ico
  ${CMAKE_SOURCE_DIR}/datas/doc/doc10.png
  ${CMAKE_SOURCE_DIR}/datas/doc/doc11.png
  ${CMAKE_SOURCE_DIR}/datas/doc/doc12.png
  ${CMAKE_SOURCE_DIR}/datas/doc/doc13.png
  ${CMAKE_SOURCE_DIR}/datas/doc/doc14.png
  ${CMAKE_SOURCE_DIR}/datas/doc/doc15.png
  ${CMAKE_SOURCE_DIR}/datas/doc/doc16.png
  ${CMAKE_SOURCE_DIR}/datas/doc/doc17.png
  ${CMAKE_SOURCE_DIR}/datas/doc/doc1.png
  ${CMAKE_SOURCE_DIR}/datas/doc/doc20.png
  ${CMAKE_SOURCE_DIR}/datas/doc/doc21.png
  ${CMAKE_SOURCE_DIR}/datas/doc/doc22.png
  ${CMAKE_SOURCE_DIR}/datas/doc/doc2.png
  ${CMAKE_SOURCE_DIR}/datas/doc/doc3.png
  ${CMAKE_SOURCE_DIR}/datas/doc/doc4.png
  ${CMAKE_SOURCE_DIR}/datas/doc/doc5.png
  ${CMAKE_SOURCE_DIR}/datas/doc/doc6bis.png
  ${CMAKE_SOURCE_DIR}/datas/doc/doc6.png
  ${CMAKE_SOURCE_DIR}/datas/doc/doc7.png
  ${CMAKE_SOURCE_DIR}/datas/doc/doc8.png
  ${CMAKE_SOURCE_DIR}/datas/doc/doc9.png
  ${CMAKE_SOURCE_DIR}/datas/doc/latexhelp.html
  ${CMAKE_SOURCE_DIR}/datas/doc/usermanual_en.html
  ${CMAKE_SOURCE_DIR}/datas/doc/usermanual_fr.html
  ${CMAKE_SOURCE_DIR}/AUTHORS
  ${CMAKE_SOURCE_DIR}/COPYING
  ${CMAKE_SOURCE_DIR}/datas/CHANGELOG.txt
  ${CMAKE_SOURCE_DIR}/datas/scripts/titlecase_selection.tms
  ${CMAKE_SOURCE_DIR}/datas/scripts/hardwordwrap_selection_80col.tms
  ${CMAKE_SOURCE_DIR}/translations/texmaker/texmaker_de.qm
  ${CMAKE_SOURCE_DIR}/translations/texmaker/texmaker_es.qm
  ${CMAKE_SOURCE_DIR}/translations/texmaker/texmaker_fr.qm
  ${CMAKE_SOURCE_DIR}/translations/texmaker/texmaker_gl.qm
  ${CMAKE_SOURCE_DIR}/translations/texmaker/texmaker_it.qm
  ${CMAKE_SOURCE_DIR}/translations/texmaker/texmaker_pt.qm
  ${CMAKE_SOURCE_DIR}/translations/texmaker/texmaker_pt_BR.qm
  ${CMAKE_SOURCE_DIR}/translations/texmaker/texmaker_ru.qm
  ${CMAKE_SOURCE_DIR}/translations/texmaker/texmaker_zh_CN.qm
  ${CMAKE_SOURCE_DIR}/translations/texmaker/texmaker_zh_TW.qm
  ${CMAKE_SOURCE_DIR}/translations/texmaker/texmaker_cs.qm
  ${CMAKE_SOURCE_DIR}/translations/texmaker/texmaker_nl.qm
  ${CMAKE_SOURCE_DIR}/translations/texmaker/texmaker_fa.qm
  ${CMAKE_SOURCE_DIR}/translations/texmaker/texmaker_pl.qm
  ${CMAKE_SOURCE_DIR}/translations/texmaker/texmaker_hu.qm
  ${CMAKE_SOURCE_DIR}/translations/texmaker/texmaker_sr.qm
  ${CMAKE_SOURCE_DIR}/translations/texmaker/texmaker_el.qm
  ${CMAKE_SOURCE_DIR}/translations/texmaker/texmaker_se.qm
  ${CMAKE_SOURCE_DIR}/translations/texmaker/texmaker_ar.qm
  ${CMAKE_SOURCE_DIR}/translations/texmaker/texmaker_lv.qm
  ${CMAKE_SOURCE_DIR}/translations/texmaker/texmaker_uk.qm
  ${CMAKE_SOURCE_DIR}/translations/texmaker/texmaker_vi_VN.qm
  ${CMAKE_SOURCE_DIR}/datas/dictionaries/nl_NL.aff
  ${CMAKE_SOURCE_DIR}/datas/dictionaries/nl_NL.dic
  ${CMAKE_SOURCE_DIR}/datas/dictionaries/de_DE.aff
  ${CMAKE_SOURCE_DIR}/datas/dictionaries/de_DE.dic
  ${CMAKE_SOURCE_DIR}/datas/dictionaries/en_GB.aff
  ${CMAKE_SOURCE_DIR}/datas/dictionaries/en_GB.dic
  ${CMAKE_SOURCE_DIR}/datas/dictionaries/en_US.aff
  ${CMAKE_SOURCE_DIR}/datas/dictionaries/en_US.dic
  ${CMAKE_SOURCE_DIR}/datas/dictionaries/es_ES.aff
  ${CMAKE_SOURCE_DIR}/datas/dictionaries/es_ES.dic
  ${CMAKE_SOURCE_DIR}/datas/dictionaries/fr_FR.aff
  ${CMAKE_SOURCE_DIR}/datas/dictionaries/fr_FR.dic
  ${CMAKE_SOURCE_DIR}/datas/dictionaries/it_IT.aff
  ${CMAKE_SOURCE_DIR}/datas/dictionaries/it_IT.dic
  ${CMAKE_SOURCE_DIR}/datas/dictionaries/it_IT_README.txt
  ${CMAKE_SOURCE_DIR}/datas/dictionaries/hu_HU.aff
  ${CMAKE_SOURCE_DIR}/datas/dictionaries/hu_HU.dic
  ${CMAKE_SOURCE_DIR}/datas/dictionaries/README_hu_HU.txt
  ${CMAKE_SOURCE_DIR}/datas/dictionaries/cs_CZ.aff
  ${CMAKE_SOURCE_DIR}/datas/dictionaries/cs_CZ.dic
  ${CMAKE_SOURCE_DIR}/datas/dictionaries/pl_PL.aff
  ${CMAKE_SOURCE_DIR}/datas/dictionaries/pl_PL.dic
  ${CMAKE_SOURCE_DIR}/datas/dictionaries/pt_PT.aff
  ${CMAKE_SOURCE_DIR}/datas/dictionaries/pt_PT.dic
  ${CMAKE_SOURCE_DIR}/datas/dictionaries/ca_CA.aff
  ${CMAKE_SOURCE_DIR}/datas/dictionaries/ca_CA.dic
  ${CMAKE_SOURCE_DIR}/datas/dictionaries/README_pt_PT.txt
  ${CMAKE_SOURCE_DIR}/datas/dictionaries/README_pl.txt
  ${CMAKE_SOURCE_DIR}/datas/dictionaries/README_cs_CZ.txt
  ${CMAKE_SOURCE_DIR}/datas/dictionaries/README_de_DE_frami.txt
  ${CMAKE_SOURCE_DIR}/datas/dictionaries/README_DIC_fr_FR.txt
  ${CMAKE_SOURCE_DIR}/datas/dictionaries/README_es_ES.txt
  ${CMAKE_SOURCE_DIR}/datas/dictionaries/README_en_US.txt
)
set(ICON_FILE "${CMAKE_SOURCE_DIR}/datas/distrib/win/win.rc")
elseif (APPLE)
set(RESOURCE_FILES

=== 3rdparty/pdfium/third_party/libopenjpeg20/CMakeLists.txt ===
include_regular_expression("^.*$")

#
install( FILES  ${CMAKE_CURRENT_BINARY_DIR}/opj_config.h
 DESTINATION ${OPENJPEG_INSTALL_INCLUDE_DIR} COMPONENT Headers)

include_directories(
  ${OPENJPEG_BINARY_DIR}/src/lib/openjp2 # opj_config.h and opj_config_private.h
)
# Defines the source code for the library
set(OPENJPEG_SRCS
  ${CMAKE_CURRENT_SOURCE_DIR}/bio.c
  ${CMAKE_CURRENT_SOURCE_DIR}/cio.c
  ${CMAKE_CURRENT_SOURCE_DIR}/dwt.c
  ${CMAKE_CURRENT_SOURCE_DIR}/event.c
  ${CMAKE_CURRENT_SOURCE_DIR}/image.c
  ${CMAKE_CURRENT_SOURCE_DIR}/invert.c
  ${CMAKE_CURRENT_SOURCE_DIR}/j2k.c
  ${CMAKE_CURRENT_SOURCE_DIR}/jp2.c
  ${CMAKE_CURRENT_SOURCE_DIR}/mct.c
  ${CMAKE_CURRENT_SOURCE_DIR}/mqc.c
  ${CMAKE_CURRENT_SOURCE_DIR}/openjpeg.c
  ${CMAKE_CURRENT_SOURCE_DIR}/opj_clock.c
  ${CMAKE_CURRENT_SOURCE_DIR}/pi.c
  ${CMAKE_CURRENT_SOURCE_DIR}/raw.c
  ${CMAKE_CURRENT_SOURCE_DIR}/t1.c
  ${CMAKE_CURRENT_SOURCE_DIR}/t2.c
  ${CMAKE_CURRENT_SOURCE_DIR}/tcd.c
  ${CMAKE_CURRENT_SOURCE_DIR}/tgt.c
  ${CMAKE_CURRENT_SOURCE_DIR}/function_list.c
)
if(BUILD_JPIP)
  add_definitions(-DUSE_JPIP)
  set(OPENJPEG_SRCS
    ${OPENJPEG_SRCS}
    ${CMAKE_CURRENT_SOURCE_DIR}/cidx_manager.c
    ${CMAKE_CURRENT_SOURCE_DIR}/phix_manager.c
    ${CMAKE_CURRENT_SOURCE_DIR}/ppix_manager.c
    ${CMAKE_CURRENT_SOURCE_DIR}/thix_manager.c
    ${CMAKE_CURRENT_SOURCE_DIR}/tpix_manager.c
  )
endif()

# Build the library
if(WIN32)
  if(BUILD_SHARED_LIBS)
    add_definitions(-DOPJ_EXPORTS)
  else()
    add_definitions(-DOPJ_STATIC)
  endif()
endif()
add_library(${OPENJPEG_LIBRARY_NAME} ${OPENJPEG_SRCS})
if(UNIX)
  target_link_libraries(${OPENJPEG_LIBRARY_NAME} m)
endif()
set_target_properties(${OPENJPEG_LIBRARY_NAME} PROPERTIES ${OPENJPEG_LIBRARY_PROPERTIES})

# Install library
install(TARGETS ${OPENJPEG_LIBRARY_NAME}
  EXPORT OpenJPEGTargets
  RUNTIME DESTINATION ${OPENJPEG_INSTALL_BIN_DIR} COMPONENT Applications
  LIBRARY DESTINATION ${OPENJPEG_INSTALL_LIB_DIR} COMPONENT Libraries
  ARCHIVE DESTINATION ${OPENJPEG_INSTALL_LIB_DIR} COMPONENT Libraries
)

# Install includes files
install(FILES openjpeg.h opj_stdint.h
  DESTINATION ${OPENJPEG_INSTALL_INCLUDE_DIR} COMPONENT Headers
)

if(BUILD_DOC)
# install man page of the library
install(
  FILES       ${OPENJPEG_SOURCE_DIR}/doc/man/man3/libopenjp2.3
  DESTINATION ${OPENJPEG_INSTALL_MAN_DIR}/man3)
endif()

# internal utilities to generate t1_luts.h (part of the jp2 lib)
# no need to install:
add_executable(t1_generate_luts t1_generate_luts.c)
if(UNIX)
  target_link_libraries(t1_generate_luts m)
endif()

# Experimental option; let's how cppcheck performs
# Implementation details:
# I could not figure out how to easily upload a file to CDash. Instead simply
# pretend cppcheck is part of the Build step. Technically cppcheck can even
# output gcc formatted error/warning report
# Another implementation detail: I could not redirect error to the error
# catching mechanism something is busted in cmake 2.8.5, I had to use the
# warning regex to catch them.
if(OPENJPEG_CPPCHECK)
  find_package(CPPCHECK REQUIRED)
  foreach(f ${OPENJPEG_SRCS})
    # cppcheck complains about too many configuration, pretend to be WIN32:
    add_custom_command(TARGET ${OPENJPEG_LIBRARY_NAME}
      COMMAND ${CPPCHECK_EXECUTABLE} -DWIN32 ${f})
  endforeach()
endif()

if(OPJ_USE_DSYMUTIL)
  if(BUILD_SHARED_LIBS)
    GET_TARGET_PROPERTY(OPENJPEG_LIBRARY_LOCATION ${OPENJPEG_LIBRARY_NAME} LOCATION)
    add_custom_command(TARGET ${OPENJPEG_LIBRARY_NAME} POST_BUILD
    COMMAND "dsymutil" "${OPENJPEG_LIBRARY_LOCATION}"
    COMMENT "dsymutil ${OPENJPEG_LIBRARY_LOCATION}"
    DEPENDS ${OPENJPEG_LIBRARY_NAME})
  endif()
endif()

=== debian/changelog ===
texmaker (6.0.1+dfsg-3build1) resolute; urgency=medium

  * No-change rebuild for Qt 6.10.2 private ABI.

 -- Rik Mills <rikmills@kde.org>  Wed, 11 Feb 2026 08:06:12 +0000

texmaker (6.0.1+dfsg-3) unstable; urgency=medium

  * debian/control, Revert changes to restrict hard B-D.

 -- Julián Moreno Patiño <julian@debian.org>  Tue, 04 Nov 2025 23:56:52 -0500

=== debian/control ===
--- 
+++ 
@@ -1,25 +1,33 @@
 Source: texmaker
-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Andreas Tille <tille@debian.org>,
            Julián Moreno Patiño <julian@debian.org>
 Section: tex
 Priority: optional
-Build-Depends: debhelper-compat (= 13),
-               qtscript5-dev,
-               qtbase5-dev,
-               libglib2.0-dev,
-               libpoppler-qt5-dev,
-               libpoppler-private-dev,
-               qtdeclarative5-dev,
-               libqt5opengl5-dev,
+Build-Depends: cmake (>= 3.4),
+               debhelper-compat (= 13),
+               libfreetype-dev,
+               libhunspell-dev,
+               liblcms2-dev,
+               libopenjp2-7-dev,
+               libpng-dev,
                libsynctex-dev,
-               qtbase5-private-dev,
+               libturbojpeg0-dev,
+               libtiff-dev,
+               pkgconf,
+               qt6-5compat-dev,
+               qt6-base-dev,
+               qt6-base-private-dev,
+               qt6-declarative-dev,
+               qt6-tools-dev,
+               qt6-tools-dev-tools,
+               qt6-webengine-dev,
                zlib1g-dev
-Standards-Version: 4.6.1
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/science-team/texmaker
 Vcs-Git: https://salsa.debian.org/science-team/texmaker.git
 Homepage: https://www.xm1math.net/texmaker/
-Rules-Requires-Root: no
 
 Package: texmaker
 Architecture: any
@@ -48,7 +56,7 @@
 Multi-Arch: foreign
 Depends: ${misc:Depends}
 Replaces: texmaker (<< ${source:Version})
-Conflicts: texmaker (= 5.1.2+dfsg-1)
+Breaks: texmaker (= 5.1.3+dfsg-3)
 Description: Texmaker LaTeX editor -- arch-independent files
  Texmaker is a clean, highly configurable LaTeX editor with good hot key
  support and extensive LaTeX documentation.
